Summary:	X.org input driver for Fujitsu Stylistic Tablet PCs
Summary(pl.UTF-8):	Sterownik wejściowy X.org dla komputerów Fujitsu Stylistic Tablet
Name:		xorg-driver-input-fpit
Version:	1.4.0
Release:	9
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-input-fpit-%{version}.tar.bz2
# Source0-md5:	042c95fec145d8b57ca62714131ff3f1
Patch0:		am.patch
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-proto-inputproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-util-util-macros >= 1.12
BuildRequires:	xorg-xserver-server-devel >= 1.10.0
BuildRequires:  rpmbuild(macros) >= 1.389
%{?requires_xorg_xserver_xinput}
Requires:	xorg-xserver-server >= 1.10.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org input driver for Fujitsu Stylistic Tablet PCs. This driver
supports the touchscreen of the Stylistic LT and (with special
options) of the Stylistic 500, 1000, 1200, 2300 and 3400. Modern
FinePoint MP800 devices will also work with this driver.

%description -l pl.UTF-8
Sterownik wejściowy X.org dla komputerów Fujitsu Stylistic Tablet. Ten
sterownik obsługuje ekrany dotykowe Stylistic LT i (ze specjalnymi
opcjami) Stylistic 500, 1000, 1200, 2300 i 3400. Nowe urządzenia
FinePoint MP800 także będą działać z tym sterownikiem.

%prep
%setup -q -n xf86-input-fpit-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README readme.txt
%attr(755,root,root) %{_libdir}/xorg/modules/input/fpit_drv.so
%{_datadir}/X11/xorg.conf.d/50-fpit.conf
%{_mandir}/man4/fpit.4*
%changelog
* Thu Jul 17 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-driver-input-fpit.git;a=log;h=master

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> e7e2589
- xserver rebuild
- release 9 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> e857f14
- xserver rebuild
- release 8 (by relup.sh)

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> a8c7bdc
- release 7 (by relup.sh)

* Sun Apr 07 2013 Jan Rękorajski <baggins@pld-linux.org> bf6a8be
- fix building with latest automake
- rel 6

* Mon Mar 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 4d2b3af
- release 5 (by relup.sh)

* Thu Sep 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 6520bb3
- release 4 (by relup.sh)

* Mon Mar 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 2cf1043
- release 3

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> e05e871
- release 2

* Tue Jun 28 2011 Jakub Bogusz <qboosh@pld-linux.org> bb95967
- updated to 1.4.0

* Sun Aug 29 2010 Jakub Bogusz <qboosh@pld-linux.org> 1a96404
- added README to docs
- updated util-macros version
- release 3.1 (doesn't build with current xserver)

* Fri Oct 02 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 58a8eff
- release 3

* Wed Feb 25 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 1e55030
- release 2

* Wed Feb 18 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 4c0d552
- up to 1.3.0

* Tue Jul 01 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 46f5a82
- release 2

* Sat May 10 2008 Jakub Bogusz <qboosh@pld-linux.org> a6d8540
- updated to 1.2.0

* Thu Sep 06 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 41bde0a
- rebuilding for new xserver

* Thu Sep 06 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 1d0a787
- track xserver input deps

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> f179325
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a1d1953
- converted to UTF-8

* Mon Apr 10 2006 Jakub Bogusz <qboosh@pld-linux.org> 843a855
- updated to 1.1.0

